<?php

/**
* Google Sitemap Generator.
* @version SVN $Id$
* @package gsg.org
* @author rg66*
* @license Released under the terms of the GNU General Public License
* @abstract This class represends the required methods of a 3PC Implementations.
* Extend this class and override the method below.
**/
class archive extends GSGExtension{
	/**
	* Get the URLS from the 3PC.
	* @return An array of URLResource objects.
	*/
	function getURLResources() {
		global $database, $mosConfig_absolute_path;
		global $gsg_url_changefreq, $gsg_url_priority;

		require_once ($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.class.php");

		$query = "SELECT MONTH(created) AS created_month, created, id, sectionid, title, YEAR(created) AS created_year"."\n FROM #__content"."\n WHERE ( state='-1' AND checked_out='0' AND sectionid > '0' )"."\n GROUP BY created_year DESC, created_month DESC LIMIT $count";

		$database->setQuery($query);
		$rows = $database->loadObjectList();

		for ($i = 0, $n = count($rows); $i < $n; $i ++) {
			$row = & $rows[$i];
			$created_month = mosFormatDate($row->created, "%m");
			$month_name = mosFormatDate($row->created, "%B");
			$created_year = mosFormatDate($row->created, "%Y");
			$link = 'index.php?option=com_content&amp;task=archivecategory&amp;year='.$created_year.'&amp;month='.$created_month.'&amp;module=1';
			$text = $month_name.', '.$created_year;

			//create a new object on the stack
			$urlResource = new URLResource();

			//assign all variables
			$urlResource->title = $text;
			$urlResource->link = $link;
			$urlResource->date = gsg :: showdate($row->created, 0, 0);
			$urlResource->changeFreq = $gsg_url_changefreq;
			$urlResource->priority = $gsg_url_priority;

			//add the pointer to the array
			$results[] = $urlResource;
		}
		return $results;
	}

	/**
	 * @return The string description
	 */
	function getDescription() {
		return "The plugin that will generate URLs from the archived contents";
	}
}
